LibreOffice: XInterfaceAttributeTypeDescription Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Public Member Functions | List of all members
XInterfaceAttributeTypeDescription Interface Referencepublished

Reflects an interface attribute type. More...

`import"XInterfaceAttributeTypeDescription.idl";`

Inheritance diagram for XInterfaceAttributeTypeDescription:

## Public Member Functions
boolean | isReadOnly ()
| Returns true, if this attribute is read-only. More...
com::sun::star::reflection::XTypeDescription | getType ()
| Returns the type of the attribute. More...
Public Member Functions inherited from XInterfaceMemberTypeDescription
string | getMemberName ()
| Returns name of member. More...
long | getPosition ()
| Returns the position the member including all inherited members of base interfaces. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects an interface attribute type.

This type is superseded by XInterfaceAttributeTypeDescription2, which supports extended attributes.

The type class of this type is TypeClass_INTERFACE_ATTRIBUTE.

## Member Function Documentation

## ◆ getType()

com::sun::star::reflection::XTypeDescription getType | ( |  | ) |

Returns the type of the attribute.

Returns
  type of attribute

## ◆ isReadOnly()

boolean isReadOnly | ( |  | ) |

Returns true, if this attribute is read-only.

Returns
  true, if attribute is read-only

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceAttributeTypeDescription.idl